---
title: 'Window: animationend event'
slug: Web/API/Window/animationend_event
tags:
  - API
  - Animation
  - CSS Animations
  - Event
  - Reference
  - Window
---
<div>{{APIRef}}</div>

<p>The <strong><code>animationend</code></strong> event is fired when a <a href="/en-US/docs/Web/CSS/CSS_Animations">CSS Animation</a> has completed. If the animation aborts before reaching completion, such as if the element is removed from the DOM or the animation is removed from the element, the <code>animationend</code> event is not fired.</p>

<table class="properties">
 <tbody>
  <tr>
   <th>Bubbles</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th>Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th>Interface</th>
   <td>{{domxref("AnimationEvent")}}</td>
  </tr>
  <tr>
   <th>Event handler property</th>
   <td>{{domxref("GlobalEventHandlers/onanimationend","onanimationend")}}</td>
  </tr>
 </tbody>
</table>

<p>The original target for this event is the {{domxref("Element")}} that had the animation applied. You can listen for this event on the {{domxref("Window")}} interface to handle it in the capture or bubbling phases. For full details on this event please see the page on <a href="/en-US/docs/Web/API/HTMLElement/animationend_event">HTMLElement: animationend</a>.</p>

<h2 id="Examples">Examples</h2>

<p>This example listens for the <code>animationend</code> event:</p>

<pre class="brush: js">window.addEventListener('animationend', () =&gt; {
  console.log('Animation ended');
});</pre>

<p>The same, but using the <code>onanimationend</code> event handler property:</p>

<pre class="brush: js">window.onanimationend = () =&gt; {
  console.log('Animation ended');
};</pre>

<p><a href="/en-US/docs/Web/API/HTMLElement/animationend_event#Live_example">See a live example of this event.</a></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS3 Animations", "#eventdef-animationevent-animationend")}}</td>
   <td>{{Spec2("CSS3 Animations")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.animationend_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/CSS_Animations">CSS Animations</a></li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Animations/Using_CSS_animations">Using CSS Animations</a></li>
 <li>{{domxref("AnimationEvent")}}</li>
 <li>Related events: {{domxref("Window/animationstart_event", "animationstart")}}, {{domxref("Window/animationcancel_event", "animationcancel")}}, {{domxref("Window/animationiteration_event", "animationiteration")}}</li>
 <li>This event on {{domxref("Document")}} targets: {{domxref("Document/animationend_event", "animationend")}}</li>
 <li>This event on {{domxref("HTMLElement")}} targets: {{domxref("HTMLElement/animationend_event", "animationend")}}</li>
</ul>
